## wine 8.0~repack

=== debian/changelog ===
wine (8.0~repack-4) unstable; urgency=medium

  * Remove wine64-stable manpage.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Feb 2023 22:16:11 +0000

wine (8.0~repack-3) unstable; urgency=medium

  * Remove wine64-stable symlink (closes: #1029536).
  * Support building with vulkan 1.3.239 (closes: #1031102).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Feb 2023 06:52:35 +0000

wine (8.0~repack-2) unstable; urgency=medium

  * Include branch in the vcs-git field.
  * Match only stable releases in the watch file.
  * Support building on systems with only one cpu (closes: #1030536).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Feb 2023 02:09:23 +0000

wine (8.0~repack-1) unstable; urgency=medium

  * New upstream release 8.0, released Jan 24, 2023.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 27 Jan 2023 01:36:01 +0000
