## wine 8.0.1~repack

=== debian/changelog ===
wine (8.0.1~repack-3ubuntu2) mantic; urgency=medium

  * Also ignore maybe-uninitialized errors (fixing build on arm*)
  * Also ignore dangling-pointer errors (fixing build on arm*)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 11:09:55 +0200

wine (8.0.1~repack-3) unstable; urgency=medium

  * Fix build failure on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Jul 2023 01:30:59 +0000

wine (8.0.1~repack-2) unstable; urgency=medium

  * Fix build failure on arm.
  * Move ttf fonts to /usr/share/fonts/truetype/wine (closes: #883973).
  * Import upstream fixes for hidden file attributes (closes: #1033278).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 15 Jul 2023 14:05:24 +0000

wine (8.0.1~repack-1) unstable; urgency=medium

  * New upstream release 8.0.1, released Apr 20, 2023.
    - Various bug fixes
  * Support building with vulkan 1.3.250.
  * Fix font paths in win32u (closes: #1036080).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 15 Jul 2023 01:13:56 +0000
