=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector optimize=-lto
 
 # ignore array bound and unused function warnings, not yet handled upstream
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-unused-function
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-unused-function -Wno-error=maybe-uninitialized -Wno-error=dangling-pointer
 
 # configure options
 CONFLAGS=--with-gnutls \
@@ -197,4 +197,3 @@
 	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.mod16" >> debian/libwine$(VERSION).install
 endif
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
