## wine 9.0~repack

=== debian/changelog ===
wine (9.0~repack-5) unstable; urgency=medium

  * Update standards to 4.7.0.
  * Support building with gcc 14.
  * Support building with vulkan 1.3.296 (closes: #1069394, #1082324).
  * Handle NULL pointer condition in memory protection fix (closes: #1076498).
  * Upstream no longer provides libwine.so, remove symlinks (closes: #1068155).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Dec 2024 17:20:48 +0000

wine (9.0~repack-4) unstable; urgency=medium

  * Fix various lintian warnings.
  * Build with support for wayland enabled.
  * Disable unwind on armel and armhf (broken upstream currently).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 10 Feb 2024 18:00:33 +0000

wine (9.0~repack-3) unstable; urgency=medium

  * Update git branch.
  * Support building with vulkan 1.3.275.
  * Fix incorrect handling of WRITECOPY memory protection.
  * Fix build failures on armel and armhf (closes: #1061655).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 10 Feb 2024 02:12:06 +0000

wine (9.0~repack-2) unstable; urgency=medium

  * Fix uninitialized variable warning.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Jan 2024 20:47:52 +0000

wine (9.0~repack-1) unstable; urgency=medium

  * New upstream release 9.0, released Jan 16, 2024.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Jan 2024 05:31:07 +0000

wine-development (8.21~repack-1) unstable; urgency=medium

  * New upstream release 8.21, released Nov 24, 2023.
    - High-DPI scaling and initial Vulkan support in the Wayland driver.
    - Beginnings of support for ARM64EC target.
    - Updates to the locale database.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 26 Jan 2024 21:36:40 +0000

wine-development (8.20~repack-1) unstable; urgency=medium

  * New upstream release 8.20, released Nov 10, 2023.
    - More DirectMusic implementation.
    - Protocol associations exported to the Unix desktop.
    - Code cleanups in preparation for code freeze.
    - Various bug fixes.
  * Update temporary directory patch to use asprintf.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Nov 2023 22:34:12 +0000

wine-development (8.19~repack-1) unstable; urgency=medium

  * New upstream release 8.19, released Oct 29, 2023.
    - More DirectMusic implementation.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 22:20:20 +0000

wine-development (8.18~repack-1) unstable; urgency=medium

  * New upstream release 8.18, released Oct 13, 2023.
    - Bundled FluidSynth library for DirectMusic.
    - More window management in the Wayland driver.
    - More effect support in Direct3D 10.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 21:00:12 +0000

wine-development (8.17~repack-1) unstable; urgency=medium

  * New upstream release 8.17, released Sep 29, 2023.
    - Bundled vkd3d upgraded to version 1.9.
    - Initial window management in the Wayland driver.
    - SoundFont support in DirectMusic.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 17:41:22 +0000

wine-development (8.16~repack-1) unstable; urgency=medium

  * New upstream release 8.16, released Sep 15, 2023.
    - Beginnings of a DirectMusic revival.
    - Many fixes and improvements in the regression tests.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 15:23:44 +0000

wine-development (8.15~repack-1) unstable; urgency=medium

  * New upstream release 8.15, released Sep 1, 2023.
    - Support for TEXT print processor.
    - Cycle Collection support in MSHTML.
    - Cross-process memory notifications in Wow64.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 04:15:31 +0000

wine-development (8.14~repack-1) unstable; urgency=medium

  * New upstream release 8.14, released Aug 18, 2023.
    - Dumping of Windows registry files in WineDump.
    - Fixes for Wow64 window messages.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 00:05:01 +0000

wine-development (8.13~repack-2) unstable; urgency=medium

  * Support building with unicode 15.1.
  * Fix incorrect vkd3d format strings.
  * Build using the unicode-idna package.
  * Avoid clobbering the x18 register on arm64.
  * Remove uninitialized variable fixes that are now upstream.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 17 Nov 2023 23:13:38 +0000

wine-development (8.13~repack-1) unstable; urgency=medium

  * New upstream release 8.13, released Jul 21, 2023.
    - Wow64 support in WineGStreamer.
    - WeakMap support in JScript.
    - Georgian translation.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Aug 2023 01:52:39 +0000

wine-development (8.12~repack-1) unstable; urgency=medium

  * New upstream release 8.12, released Jul 7, 2023.
    - Initial support for painting windows in the Wayland driver.
    - Command stream performance improvements in WineD3D.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 11 Aug 2023 23:58:36 +0000

wine-development (8.11~repack-1) unstable; urgency=medium

  * New upstream release 8.11, released Jun 23, 2023.
    - More mouse cursor clipping improvements.
    - Support for TLS alerts.
    - Increased available address space in WoW64 mode.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 11 Aug 2023 22:26:12 +0000

wine-development (8.10~repack-1) unstable; urgency=medium

  * New upstream release 8.10, released Jun 9, 2023.
    - All PE->Unix transitions go through the syscall interface.
    - Mouse cursor clipping improvements.
    - Support for virtual memory placeholders.
    - Locale and timezone data updates.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Aug 2023 22:09:57 +0000

wine-development (8.9~repack-1) unstable; urgency=medium

  * New upstream release 8.9, released May 26, 2023.

