=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
-Vcs-Git: https://salsa.debian.org/wine-team/wine.git -b bookworm-wine8
+Vcs-Git: https://salsa.debian.org/wine-team/wine.git -b debian13-wine09
 Vcs-Browser: https://salsa.debian.org/wine-team/wine
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -31,6 +31,8 @@
  khronos-api (>= 4.6),
  unicode-data (>= 15),
  unicode-data (<< 16),
+ unicode-idna (>= 15),
+ unicode-idna (<< 16),
  libgl-dev,
  libxi-dev,
  libxt-dev,
@@ -47,6 +49,7 @@
  libxinerama-dev,
  libglu1-mesa-dev,
  libxcomposite-dev,
+ libxkbregistry-dev,
  libxml-libxml-perl,
  libssl-dev,
  libv4l-dev,
@@ -68,8 +71,10 @@
  libgphoto2-dev,
  libosmesa6-dev,
  libncurses-dev,
+ libwayland-dev,
  libfreetype-dev,
  libgnutls28-dev,
+ libpcsclite-dev,
  libusb-1.0-0-dev,
  libgettextpo-dev,
  libfontconfig-dev,
