=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,6 @@
 
 # specify buildflags (stack protector, fortify, and LTO are not yet supported upstream)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify,-stackprotector optimize=-lto
-
-# ignore array bound and unused function warnings, not yet handled upstream
-export DEB_CFLAGS_MAINT_APPEND+=-Wno-array-bounds -Wno-unused-function -Wno-error=maybe-uninitialized -Wno-error=dangling-pointer
 
 # configure options
 CONFLAGS=--with-gnutls \
@@ -61,7 +58,7 @@
 
 # build with soft float ABI and armv7-a instruction set on armel
 ifeq ($(DEB_HOST_ARCH), armel)
-CONFLAGS+=--with-float-abi=soft
+CONFLAGS+=--with-float-abi=soft --with-unwind=no
 CONFLAGS+=LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 export DEB_CFLAGS_MAINT_APPEND+=-march=armv7-a
 export DEB_LDFLAGS_MAINT_APPEND+=-march=armv7-a
@@ -69,7 +66,18 @@
 
 # build with hard float ABI on armhf
 ifeq ($(DEB_HOST_ARCH), armhf)
-CONFLAGS+=--with-float-abi=hard
+CONFLAGS+=--with-float-abi=hard --with-unwind=no
+endif
+
+# the x18 register is reserved in windows on arm64, avoid clobbering it
+# (see https://bugs.winehq.org/show_bug.cgi?id=38780)
+ifeq ($(DEB_HOST_ARCH), arm64)
+export DEB_CFLAGS_MAINT_APPEND+=-ffixed-x18
+endif
+
+# ignore arm-specific unused functions
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf arm64))
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
 endif
 
 # extra information to add to the version string
@@ -163,7 +171,7 @@
 
 override_dh_auto_install-indep: $(INSTALLS)
 	mkdir -p debian/tmp
-	cp ANNOUNCE debian/tmp/NEWS
+	cp ANNOUNCE.md debian/tmp/NEWS
 	cp programs/winedbg/README debian/tmp/README.winedbg
 	sed "s|DEBSUFFIX|$(DEBSUFFIX)|g" debian/scripts/wineapploader.in > debian/tmp/wineapploader
 	chmod 755 debian/tmp/wineapploader
@@ -182,7 +190,7 @@
 
 override_dh_auto_install-arch: $(INSTALLS)
 	mkdir -p debian/tmp
-	cp ANNOUNCE debian/tmp/NEWS
+	cp ANNOUNCE.md debian/tmp/NEWS
 	cp tools/winedump/README debian/tmp/README.winedump
 	mv server/wineserver debian/tmp/wineserver$(DEB_HOST_ARCH_BITS)
 	sed "s|BINDIR|$(BINDIR)|g" debian/scripts/winegcc.in > debian/tmp/winegcc$(DEBSUFFIX)
@@ -193,7 +201,3 @@
 	echo "# 16-bit windows PE files" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.vxd" >> debian/libwine$(VERSION).install
 	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.mod16" >> debian/libwine$(VERSION).install
-endif
