## wine 10.0~rc1~repack

=== debian/changelog ===
wine (10.0~rc1~repack-1) unstable; urgency=medium

  * New upstream release 10.0-rc1, released Dec 6, 2024.
    - Bundled vkd3d upgraded to version 1.14.
    - Initial version of a Bluetooth driver.
    - UTF-8 support in the C runtime functions.
    - Support for split debug info using build ids.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Dec 2024 23:08:36 +0000

wine (9.0~repack-7) unstable; urgency=medium

  * Fix another uninitialized variable warning on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Dec 2024 19:16:13 +0000

wine (9.0~repack-6) unstable; urgency=medium

  * Fix uninitialized variable warning on arm.
  * Fix vulkan integer conversion warning on amd64 (closes: #1069394).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Dec 2024 00:46:45 +0000
