=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
-Vcs-Git: https://salsa.debian.org/wine-team/wine.git -b debian13-wine09
+Vcs-Git: https://salsa.debian.org/wine-team/wine.git -b debian13-wine10
 Vcs-Browser: https://salsa.debian.org/wine-team/wine
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -21,9 +21,9 @@
  quilt,
  unzip,
  gettext,
+ pkgconf,
  icoutils,
  sharutils,
- pkg-config,
  dctrl-tools,
  imagemagick,
  librsvg2-bin,
@@ -31,8 +31,10 @@
  khronos-api (>= 4.6),
  unicode-data (>= 15),
  unicode-data (<< 16),
- unicode-idna (>= 15),
- unicode-idna (<< 16),
+ unicode-idna (>= 16),
+ unicode-idna (<< 17),
+ unicode-cldr-core (>= 46),
+ unicode-cldr-core (<< 47),
  libgl-dev,
  libxi-dev,
  libxt-dev,
@@ -41,12 +43,14 @@
  libxext-dev,
  libxfixes-dev,
  libxrandr-dev,
+ libavcodec-dev,
  libxcursor-dev,
  libxrender-dev,
  libxkbfile-dev,
  libxxf86vm-dev,
  libxxf86dga-dev,
  libxinerama-dev,
+ libavformat-dev,
  libglu1-mesa-dev,
  libxcomposite-dev,
  libxkbregistry-dev,
