=== debian/rules ===
--- 
+++ 
@@ -120,20 +120,23 @@
 	# mingw version
 	$(DEB_HOST_GNU_CPU)-w64-mingw32-gcc --version || echo ""
 	# automatically generated files
-	./debian/scripts/generate server/trace.generated make_requests
-	./debian/scripts/generate server/request.generated make_requests
 	./tools/make_unicode
 	./tools/make_requests
+	./tools/make_specfiles
 	cd dlls/dsound && ./make_fir
+	cd dlls/opencl && ./make_opencl
 	cd dlls/opengl32 && ./make_opengl
-	cd dlls/winevulkan && ./make_vulkan -x /usr/share/vulkan/registry/vk.xml
+	cd dlls/winevulkan && ./make_vulkan -x /usr/share/vulkan/registry/vk.xml -X /usr/share/vulkan/registry/video.xml
 	# autotools files
 	ln -sf /usr/share/misc/config.sub tools
 	ln -sf /usr/share/misc/config.guess tools
 	# image files used to generate icons for parts of wine
 	ln -sf ../../dlls/user32/resources/oic_hand.svg dlls/display.drv16/oic_hand.svg
+	ln -sf ../../dlls/user32/resources/oic_note.svg dlls/comctl32/idi_tt_info_md.svg
+	ln -sf ../../dlls/user32/resources/oic_note.svg dlls/comctl32/idi_tt_info_sm.svg
+	ln -sf ../../dlls/user32/resources/oic_bang.svg dlls/comctl32/idi_tt_warn_md.svg
 	ln -sf ../../dlls/user32/resources/oic_bang.svg dlls/comctl32/idi_tt_warn_sm.svg
-	ln -sf ../../dlls/user32/resources/oic_note.svg dlls/comctl32/idi_tt_info_sm.svg
+	ln -sf ../../dlls/user32/resources/oic_hand.svg dlls/comctl32/idi_tt_error_md.svg
 	ln -sf ../../dlls/user32/resources/oic_hand.svg dlls/comctl32/idi_tt_error_sm.svg
 	ln -sf ../../dlls/shell32/resources/move.svg dlls/comctl32/idi_dragarrow.svg
 	ln -sf ../../dlls/shell32/resources/image.svg programs/regedit/bin.svg
@@ -198,6 +201,3 @@
 	chmod 755 debian/tmp/wineserver
 ifeq ($(DEB_HOST_ARCH), i386)
 	echo >> debian/libwine$(VERSION).install
-	echo "# 16-bit windows PE files" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.vxd" >> debian/libwine$(VERSION).install
-	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
