## wine 10.0~rc2~repack

=== debian/changelog ===
wine (10.0~rc2~repack-1) unstable; urgency=medium

  * New upstream release 10.0-rc2, released Dec 13, 2024.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Dec 2024 02:57:49 +0000
