=== debian/rules ===
--- 
+++ 
@@ -124,7 +124,6 @@
 	./tools/make_requests
 	./tools/make_specfiles
 	cd dlls/dsound && ./make_fir
-	cd dlls/opencl && ./make_opencl
 	cd dlls/opengl32 && ./make_opengl
 	cd dlls/winevulkan && ./make_vulkan -x /usr/share/vulkan/registry/vk.xml -X /usr/share/vulkan/registry/video.xml
 	# autotools files
@@ -201,3 +200,4 @@
 	chmod 755 debian/tmp/wineserver
 ifeq ($(DEB_HOST_ARCH), i386)
 	echo >> debian/libwine$(VERSION).install
+	echo "# 16-bit windows PE files" >> debian/libwine$(VERSION).install
