## wine 10.0~repack

=== debian/changelog ===
wine (10.0~repack-6ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on arm* by ignoring -Wtautological-compare error

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Jun 2025 07:26:25 +0200

wine (10.0~repack-6) unstable; urgency=medium

  * Apply upstream patches fixing relocation entry point handling in
    builtin modules; thanks to Bernhard Übelacker for the investigation!
    Closes: #1104317.

 -- Stephen Kitt <skitt@debian.org>  Thu, 26 Jun 2025 09:00:48 +0200

wine (10.0~repack-5ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on arm* by ignoring -Wtautological-compare error

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jun 2025 15:16:23 +0200

wine (10.0~repack-5) unstable; urgency=medium

  * Build appropriately for vulkan 1.4 (closes: #1104898).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 10 Jun 2025 22:03:42 +0000

wine (10.0~repack-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on arm* by ignoring -Wtautological-compare error

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 22:12:50 +0200

wine (10.0~repack-4) unstable; urgency=medium

  * Stop rebuilding debian/control, it won't change for the wine package.
    The rebuild recipe is preserved so that future changes to
    debian/control.in can be applied without too much effort, but no
    rebuild should rebuild debian/control (including binNMUs).
    Closes: #1079184.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 May 2025 08:46:37 +0200

wine (10.0~repack-3ubuntu3) questing; urgency=medium

  * Fix build on arm* by ignoring -Wtautological-compare error

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 May 2025 00:23:07 +0200

wine (10.0~repack-3) unstable; urgency=medium

  * Fix dh_strip errors on armhf.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 07 Apr 2025 02:06:03 +0000

wine (10.0~repack-2) unstable; urgency=medium

  * Fix dh_strip errors on arm64.
  * Apply upstream patches supporting armhf (closes: #1093197).
    - Thanks to Martin Storsjo.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Apr 2025 15:47:52 +0000

wine (10.0~repack-1) unstable; urgency=medium

  * New upstream release 10.0, released Jan 21, 2025.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Apr 2025 06:01:24 +0000

wine (10.0~rc2~repack-4) unstable; urgency=medium

  * Apply upstream fixes to support binutils 2.44 (closes: #1101977).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 04 Apr 2025 23:09:32 +0000

wine (10.0~rc2~repack-3) unstable; urgency=medium

  * Build with clang on arm64 (closes: #1100695).
    - Thanks to Martin Storsjo.
  * Remove armel packages (software floating point is now dropped upstream).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 02 Apr 2025 01:51:39 +0000

wine (10.0~rc2~repack-2) unstable; urgency=medium

  * Avoid modifications outside the build directory in make_vulkan.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Dec 2024 04:07:54 +0000
