=== debian/control ===
--- 
+++ 
@@ -12,6 +12,9 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ lld [armhf arm64],
+ llvm [armhf arm64],
+ clang [armhf arm64],
  gcc-mingw-w64-i686 [i386],
  gcc-mingw-w64-x86-64 [amd64],
  libz-mingw-w64-dev,
@@ -116,7 +119,7 @@
  provide the usual command names, e.g. "wine" instead of "wine-stable".
 
 Package: wine32
-Architecture: i386 armel armhf
+Architecture: i386 armhf
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
@@ -149,7 +152,7 @@
  This package provides the binary loader for 64-bit Windows applications.
 
 Package: wine32-preloader
-Architecture: i386 armel armhf
+Architecture: i386 armhf
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
@@ -172,7 +175,7 @@
 
 Package: wine32-tools
 Section: libdevel
-Architecture: i386 armel armhf
+Architecture: i386 armhf
 Multi-Arch: foreign
 Depends:
  gcc | gcc-multilib:amd64 [i386],
@@ -202,7 +205,6 @@
  ${shlibs:Depends},
  libwine-dev (= ${binary:Version}) |
  libwine-dev:i386 (= ${binary:Version}) [amd64] |
- libwine-dev:armel (= ${binary:Version}) [arm64] |
  libwine-dev:armhf (= ${binary:Version}) [arm64],
 Recommends:
  wine (= ${source:Version}),
@@ -217,7 +219,7 @@
 
 Package: libwine
 Section: libs
-Architecture: amd64 i386 armel armhf arm64
+Architecture: amd64 i386 armhf arm64
 Multi-Arch: same
 Depends:
  ${misc:Depends},
@@ -255,7 +257,7 @@
 Package: libwine-dev
 Section: libdevel
 Multi-Arch: same
-Architecture: amd64 i386 armel armhf arm64
+Architecture: amd64 i386 armhf arm64
 Depends:
  ${misc:Depends},
  libwine (= ${binary:Version}),
