=== debian/rules ===
--- 
+++ 
@@ -56,27 +56,13 @@
 CONFLAGS+=--with-mingw ZLIB_PE_LIBS=z
 endif
 
-# build with soft float ABI and armv7-a instruction set on armel
-ifeq ($(DEB_HOST_ARCH), armel)
-CONFLAGS+=--with-float-abi=soft --with-unwind=no
-CONFLAGS+=LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
-export DEB_CFLAGS_MAINT_APPEND+=-march=armv7-a
-export DEB_LDFLAGS_MAINT_APPEND+=-march=armv7-a
-endif
-
-# build with hard float ABI on armhf
-ifeq ($(DEB_HOST_ARCH), armhf)
-CONFLAGS+=--with-float-abi=hard --with-unwind=no
-endif
-
-# the x18 register is reserved in windows on arm64, avoid clobbering it
-# (see https://bugs.winehq.org/show_bug.cgi?id=38780)
+# ignore -fstack-clash-protection on arm64
 ifeq ($(DEB_HOST_ARCH), arm64)
-export DEB_CFLAGS_MAINT_APPEND+=-ffixed-x18
+export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-command-line-argument -Wno-error
 endif
 
 # ignore arm-specific unused functions
-ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf arm64))
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf arm64))
 export DEB_CFLAGS_MAINT_APPEND+=-Wno-unused-function
 endif
 
@@ -201,3 +187,10 @@
 ifeq ($(DEB_HOST_ARCH), i386)
 	echo >> debian/libwine$(VERSION).install
 	echo "# 16-bit windows PE files" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.vxd" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.dll16" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.drv16" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.exe16" >> debian/libwine$(VERSION).install
+	echo "debian/tmp/usr/lib/*/*/*/*.mod16" >> debian/libwine$(VERSION).install
+endif
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
